---
title: Batch get DEM journeys by test suite IDs
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > DEM
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Batch get DEM journeys by test suite IDs{% #batch-get-dem-journeys-by-test-suite-ids %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dem/journeys/suites/batch |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dem/journeys/suites/batch |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dem/journeys/suites/batch      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dem/journeys/suites/batch      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dem/journeys/suites/batch  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/dem/journeys/suites/batch |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dem/journeys/suites/batch     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dem/journeys/suites/batch |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dem/journeys/suites/batch |

### Overview

Return DEM journeys associated with multiple given test suite IDs. This endpoint requires the `synthetics_read` permission.

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                            | Type     | Description                                                                                                                                     |
| ------------ | -------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]           | object   | Data object for a batch get journeys request.                                                                                                   |
| data         | attributes [*required*]     | object   | Attributes for a batch get journeys request.                                                                                                    |
| attributes   | test_suite_ids [*required*] | [string] | List of test suite IDs.                                                                                                                         |
| data         | type [*required*]           | enum     | The resource type for a request to retrieve DEM journeys by test suite IDs. Allowed enum values: `batch_get_journeys_by_test_suite_ids_request` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "test_suite_ids": [
        "suite-abc123",
        "suite-def456"
      ]
    },
    "type": "batch_get_journeys_by_test_suite_ids_request"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response body for a list of DEM journeys.

| Parent field | Field                         | Type      | Description                                                            |
| ------------ | ----------------------------- | --------- | ---------------------------------------------------------------------- |
|              | data [*required*]        | [object]  | List of DEM journey data objects.                                      |
| data         | attributes [*required*]  | object    | Attributes returned in a DEM journey response.                         |
| attributes   | created_at [*required*]  | date-time | The timestamp when the journey was created.                            |
| attributes   | created_by [*required*]  | object    | A Datadog user associated with a DEM operation.                        |
| created_by   | email [*required*]       | string    | The email address of the user.                                         |
| created_by   | handle [*required*]      | string    | The handle of the user.                                                |
| created_by   | name [*required*]        | string    | The display name of the user.                                          |
| created_by   | uuid [*required*]        | string    | The UUID of the user.                                                  |
| attributes   | description [*required*] | string    | An optional human-readable description of the journey.                 |
| attributes   | journey_rum [*required*] | object    | The RUM definition for a DEM journey.                                  |
| journey_rum  | filter                        | string    | An optional RUM query filter applied to the entire journey.            |
| journey_rum  | rum_steps [*required*]   | [object]  | List of RUM journey steps.                                             |
| rum_steps    | nodes [*required*]       | [object]  | List of RUM nodes within a journey step.                               |
| nodes        | app_id                        | string    | The application ID associated with this node.                          |
| nodes        | id                            | string    | The ID of the RUM node element.                                        |
| nodes        | query [*required*]       | string    | The RUM query for matching this node.                                  |
| rum_steps    | type [*required*]        | enum      | The type of a RUM journey step. Allowed enum values: `start,stop,step` |
| journey_rum  | variants                      | [object]  | List of variants associated with a DEM journey.                        |
| variants     | filter                        | string    | An optional RUM query filter to scope this variant.                    |
| variants     | id                            | string    | The unique identifier of the variant.                                  |
| variants     | name [*required*]        | string    | The name of the variant.                                               |
| variants     | rum_steps [*required*]   | [object]  | List of RUM journey steps.                                             |
| rum_steps    | nodes [*required*]       | [object]  | List of RUM nodes within a journey step.                               |
| nodes        | app_id                        | string    | The application ID associated with this node.                          |
| nodes        | id                            | string    | The ID of the RUM node element.                                        |
| nodes        | query [*required*]       | string    | The RUM query for matching this node.                                  |
| rum_steps    | type [*required*]        | enum      | The type of a RUM journey step. Allowed enum values: `start,stop,step` |
| attributes   | name [*required*]        | string    | The name of the DEM journey.                                           |
| attributes   | org_id [*required*]      | int64     | The organization ID that owns this journey.                            |
| attributes   | tags [*required*]        | [string]  | List of tags associated with a DEM resource.                           |
| attributes   | test_suite [*required*]  | object    | A test suite associated with a DEM resource.                           |
| test_suite   | id [*required*]          | string    | The ID of the test suite.                                              |
| test_suite   | name [*required*]        | string    | The name of the test suite.                                            |
| attributes   | updated_at [*required*]  | date-time | The timestamp when the journey was last updated.                       |
| attributes   | updated_by [*required*]  | object    | A Datadog user associated with a DEM operation.                        |
| updated_by   | email [*required*]       | string    | The email address of the user.                                         |
| updated_by   | handle [*required*]      | string    | The handle of the user.                                                |
| updated_by   | name [*required*]        | string    | The display name of the user.                                          |
| updated_by   | uuid [*required*]        | string    | The UUID of the user.                                                  |
| attributes   | variants [*required*]    | [object]  | List of variants associated with a DEM journey.                        |
| variants     | filter                        | string    | An optional RUM query filter to scope this variant.                    |
| variants     | id                            | string    | The unique identifier of the variant.                                  |
| variants     | name [*required*]        | string    | The name of the variant.                                               |
| variants     | rum_steps [*required*]   | [object]  | List of RUM journey steps.                                             |
| rum_steps    | nodes [*required*]       | [object]  | List of RUM nodes within a journey step.                               |
| nodes        | app_id                        | string    | The application ID associated with this node.                          |
| nodes        | id                            | string    | The ID of the RUM node element.                                        |
| nodes        | query [*required*]       | string    | The RUM query for matching this node.                                  |
| rum_steps    | type [*required*]        | enum      | The type of a RUM journey step. Allowed enum values: `start,stop,step` |
| data         | id [*required*]          | string    | The unique identifier of the DEM journey.                              |
| data         | type [*required*]        | enum      | The type identifier for DEM journeys. Allowed enum values: `journeys`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "2024-01-15T10:30:00Z",
        "created_by": {
          "email": "jane.doe@example.com",
          "handle": "jane.doe",
          "name": "Jane Doe",
          "uuid": "00000000-0000-0000-0000-000000000001"
        },
        "description": "Tracks the user checkout flow from cart to confirmation.",
        "journey_rum": {
          "filter": "env:prod",
          "rum_steps": [
            {
              "nodes": [
                {
                  "app_id": "app-xyz789",
                  "id": "element-id-123",
                  "query": "action.name:'checkout'"
                }
              ],
              "type": "start"
            }
          ],
          "variants": [
            {
              "filter": "device.type:mobile",
              "id": "variant-001",
              "name": "Mobile checkout",
              "rum_steps": [
                {
                  "nodes": [
                    {
                      "app_id": "app-xyz789",
                      "id": "element-id-123",
                      "query": "action.name:'checkout'"
                    }
                  ],
                  "type": "start"
                }
              ]
            }
          ]
        },
        "name": "Checkout Flow",
        "org_id": 12345,
        "tags": [
          "team:synthetics",
          "env:prod"
        ],
        "test_suite": {
          "id": "suite-abc123",
          "name": "My Journey Suite"
        },
        "updated_at": "2024-01-16T08:00:00Z",
        "updated_by": {
          "email": "jane.doe@example.com",
          "handle": "jane.doe",
          "name": "Jane Doe",
          "uuid": "00000000-0000-0000-0000-000000000001"
        },
        "variants": [
          {
            "filter": "device.type:mobile",
            "id": "variant-001",
            "name": "Mobile checkout",
            "rum_steps": [
              {
                "nodes": [
                  {
                    "app_id": "app-xyz789",
                    "id": "element-id-123",
                    "query": "action.name:'checkout'"
                  }
                ],
                "type": "start"
              }
            ]
          }
        ]
      },
      "id": "journey-abc123",
      "type": "journeys"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/dem/journeys/suites/batch" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "test_suite_ids": [
        "suite-abc123",
        "suite-def456"
      ]
    },
    "type": "batch_get_journeys_by_test_suite_ids_request"
  }
}
EOF 
                
{% /tab %}
